#ifndef DSTRING_HPP
#define DSTRING_HPP
#include <iostream>
using namespace std;

class DinString {
private:
		int duzina;
		char *text;
public:
		DinString(){ duzina=0; text=NULL; }
		DinString(const char[]);
		DinString(const DinString&);
		~DinString() { delete[] text; }
		char& operator [](int);
		char operator [](int) const;
		DinString& operator =(const DinString&);
		DinString& operator +=(const DinString&);
		friend bool operator ==(const DinString &,const DinString&);
		friend bool operator !=(const DinString &,const DinString&);
		friend DinString operator +(const DinString &,const DinString&);
		friend ostream& operator <<(ostream &out, const DinString &s);
		int length()const{ return duzina; }
};

#endif
